Author: frankie
Date: 2007-07-17 10:27:50 +0000 (Tue, 17 Jul 2007)
New Revision: 967

Modified:
   packages/grass/trunk/debian/changelog
   packages/grass/trunk/debian/control
   packages/grass/trunk/debian/grass.postinst
Log:
Misc fixes for 6.2.2


Modified: packages/grass/trunk/debian/changelog
===================================================================
--- packages/grass/trunk/debian/changelog       2007-07-14 16:48:24 UTC (rev 
966)
+++ packages/grass/trunk/debian/changelog       2007-07-17 10:27:50 UTC (rev 
967)
@@ -1,4 +1,4 @@
-grass (6.2.2~rc1-1) UNRELEASED; urgency=low
+grass (6.2.2-1) UNRELEASED; urgency=low
 
   * New upstream release.
   * Patchset updated.
@@ -12,6 +12,8 @@
        - New patch xterm.dpatch
         - Added /etc/ld.so.conf.d/grass.conf file instead of adding lib path
           in-line into /etc/ld.so.conf.  
+        - Removed obsolete postgresql-dev build-dep 
+        - Added a new grass.dirs file.
 
  -- Francesco Paolo Lovergine <[EMAIL PROTECTED]>  Sat, 26 May 2007 19:21:00 
+0200
 

Modified: packages/grass/trunk/debian/control
===================================================================
--- packages/grass/trunk/debian/control 2007-07-14 16:48:24 UTC (rev 966)
+++ packages/grass/trunk/debian/control 2007-07-17 10:27:50 UTC (rev 967)
@@ -4,9 +4,9 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <[EMAIL PROTECTED]>, Steve Halasz <[EMAIL 
PROTECTED]>
 Build-depends: flex, bison, libreadline5-dev | libreadline-dev, 
libncurses5-dev, lesstif2-dev, debhelper (>= 5), dpatch, 
-       libtiff4-dev, tcl8.4-dev, tk8.4-dev, fftw3-dev, libxmu-dev, 
libgl1-mesa-swx11-dev, libglu1-xorg-dev | xlibmesa-glu-dev, 
-       libfreetype6-dev, autoconf2.13, autotools-dev, libgdal1-dev (>=1.4.0) | 
libgdal1-1.3.2-dev, proj (>= 4.4.7), libjpeg62-dev, 
-       libpng12-dev, libpq-dev | postgresql-dev, unixodbc-dev, doxygen, 
fakeroot, libmysqlclient15-dev, graphviz, libsqlite3-dev 
+ libtiff4-dev, tcl8.4-dev, tk8.4-dev, fftw3-dev, libxmu-dev, 
libgl1-mesa-swx11-dev, libglu1-xorg-dev | xlibmesa-glu-dev, 
+ libfreetype6-dev, autoconf2.13, autotools-dev, libgdal1-dev (>=1.4.0) | 
libgdal1-1.3.2-dev, proj (>= 4.4.7), libjpeg62-dev, 
+ libpng12-dev, libpq-dev, unixodbc-dev, doxygen, fakeroot, 
libmysqlclient15-dev, graphviz, libsqlite3-dev 
 Standards-Version: 3.7.2
 
 Package: grass
@@ -25,7 +25,7 @@
  settings around the world, as well as by many government agencies
  and environmental consulting companies.
  .
-  Homepage: http://grass.itc.it
+  Homepage: http://grass.itc.it/
 
 Package: grass-doc
 Section: science
@@ -62,5 +62,5 @@
  Install this package if you wish to develop software that manipulates
  GRASS data sets.
  .
-  Homepage: http://grass.itc.it
+  Homepage: http://grass.itc.it/
 

Modified: packages/grass/trunk/debian/grass.postinst
===================================================================
--- packages/grass/trunk/debian/grass.postinst  2007-07-14 16:48:24 UTC (rev 
966)
+++ packages/grass/trunk/debian/grass.postinst  2007-07-17 10:27:50 UTC (rev 
967)
@@ -17,8 +17,8 @@
     set -e
     case $fgrep_status in
       0|1) ;; # we don't actually care if any lines matched or not
-      *) die "error reading \"$ldsoconf\"; fgrep exited with status" \
-        "$fgrep_status" ;;
+      *) echo "error reading \"$ldsoconf\"; fgrep exited with status" \
+        "$fgrep_status" && exit 1 ;;
     esac
     set +e
     cmp -s "$ldsoconf.dpkg-tmp" "$ldsoconf"
@@ -27,8 +27,8 @@
     case $cmp_status in
       0) rm "$ldsoconf.dpkg-tmp" ;; # files are identical
       1) mv "$ldsoconf.dpkg-tmp" "$ldsoconf" ;; # files differ
-      *) die "error comparing \"$ldsoconf.dpkg-tmp\" to \"$ldsoconf\"; cmp" \
-        "exited with status $cmp_status" ;;
+      *) echo "error comparing \"$ldsoconf.dpkg-tmp\" to \"$ldsoconf\"; cmp" \
+        "exited with status $cmp_status" && exit 2 ;;
     esac
 fi
 


_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to